Name:           python-scipion-em-cryosparc2
Version:        4.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Plugin to use cryoSPARC2 programs within the Scipion framework

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/scipion-em/scipion-em-cryosparc2
Source:         %{pypi_source scipion_em_cryosparc2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scipion-em-cryosparc2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scipion-em-cryosparc2
Summary:        %{summary}

%description -n python3-scipion-em-cryosparc2 %_description


%prep
%autosetup -p1 -n scipion_em_cryosparc2-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scipion-em-cryosparc2 -f %{pyproject_files}


%changelog
%autochangelog